# Class HC4TrustAllSSLSocketFactory

SSLSocketFactory
org.apache.jmeter.protocol.http.util.HC4TrustAllSSLSocketFactory

Direct Known Subclasses:
  `SlowHC4SSLSocketFactory`

public class HC4TrustAllSSLSocketFactory extends SSLSocketFactory
Apache HttpClient protocol factory to generate SSL sockets

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`HC4TrustAllSSLSocketFactory()`
Create an SSL factory which trusts all certificates and hosts.
`protected`
`HC4TrustAllSSLSocketFactory(SSLSocketFactory factory)`
Create an SSL factory which trusts all certificates and hosts.

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createLayeredSocket(Socket socket, String host, int port, boolean autoClose)`
`Socket`
`createSocket()`
`Socket`
`createSocket(HttpParams params)`

## Constructor Details

### HC4TrustAllSSLSocketFactory

public HC4TrustAllSSLSocketFactory() throws GeneralSecurityException
Create an SSL factory which trusts all certificates and hosts.
invalid reference

    SSLSocketFactory#SSLSocketFactory(TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)

Throws:
  `GeneralSecurityException` - if there's a problem setting up the security

### HC4TrustAllSSLSocketFactory

protected HC4TrustAllSSLSocketFactory(SSLSocketFactory factory) throws GeneralSecurityException
Create an SSL factory which trusts all certificates and hosts.
invalid reference

    SSLSocketFactory#SSLSocketFactory(TrustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier)

Parameters:
  `factory` - javax.net.ssl.SSLSocketFactory
Throws:
  `GeneralSecurityException` - if there's a problem setting up the security

## Method Details

### createSocket

public Socket createSocket(HttpParams params) throws IOException

Throws:
  `IOException`

### createSocket

public Socket createSocket() throws IOException

Throws:
  `IOException`

### createLayeredSocket

public Socket createLayeredSocket(Socket socket, String host, int port, boolean autoClose) throws IOException, UnknownHostException

Throws:
  `IOException`
  `UnknownHostException`